/* Gestion des checkbox personnalisées */

/* Container pour regrouper les éléments pour un checkbox customisé */
.ui-checkbox-container {
    width: 18px;
    height: 18px;
}
/* Customize the label (the container) */
.ui-checkbox-container {
    display: block;
    position: relative;
    /*padding-left: 35px;*/
    /*margin-bottom: 12px;*/
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */
.ui-checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* L'élément qui affiche la "coche" */
.ui-checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 18px;
    width: 18px;
    border-radius: 4px;
    background-color: white;
    border: 1px solid black;
}
.ui-radiomark {
    position: absolute;
    top: 0;
    left: 0;
    height: 18px;
    width: 18px;
    border-radius: 4px;
    background-color: white;
    border: 1px solid black;
}

/* On mouse-over, add a grey background color */
.ui-checkbox-container:hover  {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.ui-checkbox-container input:checked ~ .ui-checkmark {
  background-color: white;
}
.ui-checkbox-container input:checked ~ .ui-radiomark {
  background-color: white;
}
/* Create the ui-checkmark/indicator (hidden when not checked) */
.ui-checkmark:after {
  content: "";
  position: absolute;
  display: none;
}
/* Create the ui-checkmark/indicator (hidden when not checked) */
.ui-radiomark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the ui-checkmark when checked */
.ui-checkbox-container input:checked ~ .ui-checkmark:after {
  display: block;
}
/* Show the ui-checkmark when checked */
.ui-checkbox-container input:checked ~ .ui-radiomark:after {
  display: block;
}
.ui-checkbox-container input:disabled ~ .ui-checkmark {
  background-color: lightgrey;
  cursor: initial;
}
.ui-checkbox-container input:disabled ~ .ui-radiomark {
  background-color: lightgrey;
  cursor: initial;
}
/* Style the ui-checkmark/indicator */
.ui-checkbox-container .ui-checkmark:after {
  left: 5px;
  top: 0px;
  width: 5px;
  height: 14px;
  border: solid blue;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
/* Style the ui-checkmark/indicator */
.ui-checkbox-container .ui-radiomark:after {
  left: 4px;
  top: 4px;
  width: 2px;
  height: 2px;
  border: solid green;
  border-width: 4px;
  border-radius: 5px;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
.ui-checkmark.is-unknown:after {
    content: "?";
    display: block;
    border-width: 0;
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.ui-checkmark.is-unknown {
    background: lightblue;
}

/* Label pour les checkbox customisés ui-checkbox-container */
.ui-checkbox-label {
    padding-left: 0rem;
}

.ui-checkbox-label.is-small {
    font-size: 0.7rem;
    text-align: left;
}

.ui-checkbox-label.right-aligned {
    display: flex;
    flex-direction: row;
    justify-content: center;
}


@media only screen and (min-resolution: 200dpi) and (orientation: portrait) {
    /* Mobile */
    .ui-checkbox-container {
      position: absolute;
      /*top: 0;
      left: 0;*/
      height: 60px;
      width: 60px;
      border-radius: 10px;
      background-color: white;
      border: 1px solid black;
    }
    .ui-checkmark {
      position: absolute;
      top: 0;
      left: 0;
      height: 60px;
      width: 60px;
      border-radius: 10px;
      background-color: white;
      border: 1px solid black;
    }
    .ui-checkbox-container .ui-checkmark:after {
      left: 17px;
      top: 0px;
      width: 15px;
      height: 42px;
      border: solid blue;
      border-width: 0 12px 12px 0;
      -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
    }
    .ui-checkbox-label {
        padding-left: 4rem;
    }
}
